Bug 49641 - Add support for lower-armenian and upper-armenian
: Add support for lower-armenian and upper-armenian
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To:
:
:
:
: 48000
  Show dependency treegraph
 
Reported: 2010-11-16 21:13 PST by
Modified: 2010-12-04 23:29 PST (History)


Attachments
Work-in-progress patch (13.61 KB, patch)
2010-11-16 21:22 PST, Daniel Bates
no flags Review Patch | Details | Formatted Diff | Diff
Patch with test cases (21.50 KB, patch)
2010-12-03 12:04 PST, Daniel Bates
no flags Review Patch | Details | Formatted Diff | Diff
Patch with test cases (21.50 KB, patch)
2010-12-03 12:09 PST, Daniel Bates
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-16 21:13:56 PST
We should add the list-style-types lower-armenian and upper-armenian for lowercase Armenian and uppercase Armenian numerals, respectively.
------- Comment #1 From 2010-11-16 21:22:56 PST -------
Created an attachment (id=74081) [details]
Work-in-progress patch

Work-in-progress patch. Needs change log.
------- Comment #2 From 2010-12-03 12:04:15 PST -------
Created an attachment (id=75524) [details]
Patch with test cases

Spoke with Richard Ishida on IRC on 11/30/2010 and he confirmed that we can use derived test cases from <http://www.w3.org/International/tests/tests-html-css/list-lists> under the W3C Test Suite License (BSD). And this patch includes two test cases derived from the test case W3C test case "upper-armenian, up to 9,999".
------- Comment #3 From 2010-12-03 12:09:02 PST -------
(In reply to comment #2)
> Created an attachment (id=75524) [details] [details]
> Patch with test cases
> 
> Spoke with Richard Ishida on IRC on 11/30/2010 and he confirmed that we can use derived test cases from <http://www.w3.org/International/tests/tests-html-css/list-lists> under the W3C Test Suite License (BSD). And this patch includes two test cases derived from the test case W3C test case "upper-armenian, up to 9,999".

I meant to say the test cases were derived from the W3C test case "lower-armenian, up to 9,999" and "upper-armenian, up to 9,999".
------- Comment #4 From 2010-12-03 12:09:51 PST -------
Created an attachment (id=75525) [details]
Patch with test cases

Minor gramatical correction in test case.
------- Comment #5 From 2010-12-04 21:12:32 PST -------
(From update of attachment 75525 [details])
Clearing flags on attachment: 75525

Committed r73338: <http://trac.webkit.org/changeset/73338>
------- Comment #6 From 2010-12-04 21:12:39 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #7 From 2010-12-04 23:29:02 PST -------
For completeness, committed updated test case for fast/lists/w3-css3-list-styles-fallback-style.html and rebased result in changeset 73339 <http://trac.webkit.org/changeset/73339> and changeset 73340 <http://trac.webkit.org/changeset/73340>, respectively.